# Interface for submodule: PickEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: PickEvent
from ._proxies import PickEventProxy as _PickEventProxy
class _PickEventTemplate(_itkTemplate):
    """Interface for instantiating itk::PickEvent"""

    def __new__(cls, *args: Any) -> _PickEventProxy:
        """Instantiate itk::PickEvent"""
        ...

    def __call__(self, *args: Any) -> _PickEventProxy:
        """Instantiate itk::PickEvent"""
        ...

PickEvent = _PickEventTemplate

